aboutsummaryrefslogtreecommitdiffstats
path: root/hm/soispha/wms/river/init
diff options
context:
space:
mode:
authorSoispha <soispha@vhack.eu>2024-02-20 17:21:42 +0100
committerSoispha <soispha@vhack.eu>2024-02-20 17:21:42 +0100
commitf2bdeaed0bcf97a880fe36cfc8a050d1643120b8 (patch)
treeba4fe9c3ddf076529701c0e776ffef2104ac23d5 /hm/soispha/wms/river/init
parentrefactor(treewide): Add a `.sh` extension to shell scripts (diff)
downloadnixos-config-f2bdeaed0bcf97a880fe36cfc8a050d1643120b8.zip
refactor(treewide): Reformat all files with treefmt
This includes getting all shellscripts to pass shellcheck. To accomplish this, some old scripts were removed
Diffstat (limited to '')
-rwxr-xr-xhm/soispha/wms/river/init.sh10
1 files changed, 4 insertions, 6 deletions
diff --git a/hm/soispha/wms/river/init.sh b/hm/soispha/wms/river/init.sh
index 07b30732..9ec48d41 100755
--- a/hm/soispha/wms/river/init.sh
+++ b/hm/soispha/wms/river/init.sh
@@ -4,15 +4,15 @@
SHELL_LIBRARY_VERSION="2.0.13" . %SHELL_LIBRARY_PATH
err_fail() {
- if ! "$@";then
- warning "\"$*\" failed!\n" >> ~/river_log
+ if ! "$@"; then
+ warning "\"$*\" failed!\n" >>~/river_log
# msg "Executing the safe init!"
# exec ~/.config/river/res/safe_init.sh
fi
}
err_fail rm ~/river_log
-exec 1>> "$HOME"/river_log
-exec 2>> "$HOME"/river_log
+exec 1>>"$HOME"/river_log
+exec 2>>"$HOME"/river_log
#trap err_fail ERR
@@ -69,8 +69,6 @@ err_fail swayidle &
err_fail alacritty &
# }}}
-
-
# Setup of layout [acts as exec!] {{{
err_fail riverctl default-layout rivertile
@env_vars@ rivertile -main-ratio 0.5 -view-padding 1 -outer-padding 0